planordesign-class {planor} | R Documentation

## Class planordesign

### Description

An S4 class to represent a final design.

### Objects from the Class

Objects can be created by calls to method `planor.design` applied on an object of class `designkey` or on an object of class `listofkeyrings`, and by calls to `regular.design` when argument `output` is equal to ‘planordesign’.

### Slots

design

  a dataframe containing the final design.

`factors`

  an object of class `designfactors` which contains the factors specifications.

model

  a list containing the model and estimate specifications.

designkey

  a `list` of the `keymatrix` objects used to create the object.

nunits

  the number of units of the design.

recursive

  a `logical` equal to TRUE if the design has been constructed recursively.

### Methods

getDesign

  extract a design data frame. See `getDesign` method.

as.data.frame

  coerce into a data frame. See `as.data.frame` method.

### Author(s)

Monod, H. and Bouvier, A.

### Examples

    showClass("planordesign")
    ### Creation of a listofdesignkeys object
    K0 <- planor.designkey(factors=c("R","C","U","A","B1","B2"),
     nlevels=c(3,2,2,3,2,2), model=~R*C + (A+B1+B2)^2, estimate=~A:B1+A:B2,
     nunits=12, base=~R+C+U, max.sol=2)
    ### Creation of a planordesign object from K0
    P0 <- planor.design(key=K0, select=1)
    show(P0)

[Package planor version 1.5-1 Index]